Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2003MotionNetSpecialActions::OdometryEntry Class Reference

Odometry table entry Contains type of odometry and odometry pose. More...

`#include <GT2003MotionNetSpecialActions.h>`

Collaboration diagram for GT2003MotionNetSpecialActions::OdometryEntry:

[legend]
List of all members.

## Public Types
enum | OdometryType { none, once, homogeneous }
| Enum for odometry types none: No odometry, means no movement once: Odometry pose is used once the motion is executed homegeneous: Odometry pose describes speed and is used each tick. More...
## Public Member Functions
| OdometryEntry ()
## Public Attributes
OdometryType | type
OdometryData | o
int | walkCycleDissection
std::vector< int > | leaveWalkCycleSections

## Detailed Description

Odometry table entry Contains type of odometry and odometry pose.

Definition at line 81 of file GT2003MotionNetSpecialActions.h.

## Member Enumeration Documentation

enum GT2003MotionNetSpecialActions::OdometryEntry::OdometryType

  | Enum for odometry types none: No odometry, means no movement once: Odometry pose is used once the motion is executed homegeneous: Odometry pose describes speed and is used each tick. Enumeration values:
  none |
  once |
  homogeneous |
Definition at line 88 of file GT2003MotionNetSpecialActions.h.

## Constructor & Destructor Documentation

GT2003MotionNetSpecialActions::OdometryEntry::OdometryEntry | ( |  | ) | `[inline]`

| Definition at line 100 of file GT2003MotionNetSpecialActions.h. References walkCycleDissection.

## Member Data Documentation

OdometryType GT2003MotionNetSpecialActions::OdometryEntry::type

| Definition at line 94 of file GT2003MotionNetSpecialActions.h. Referenced by GT2003MotionNetSpecialActions::executeParameterized(), and GT2003MotionNetSpecialActions::readOdometryTable().

OdometryData GT2003MotionNetSpecialActions::OdometryEntry::o

| Definition at line 95 of file GT2003MotionNetSpecialActions.h. Referenced by GT2003MotionNetSpecialActions::executeParameterized(), and GT2003MotionNetSpecialActions::readOdometryTable().

int GT2003MotionNetSpecialActions::OdometryEntry::walkCycleDissection

| Definition at line 97 of file GT2003MotionNetSpecialActions.h. Referenced by OdometryEntry(), GT2003MotionNetSpecialActions::readOdometryTable(), and GT2003MotionNetSpecialActions::specialActionIsExecutableInWalkingCycle().

std::vector<int> GT2003MotionNetSpecialActions::OdometryEntry::leaveWalkCycleSections

| Definition at line 98 of file GT2003MotionNetSpecialActions.h. Referenced by GT2003MotionNetSpecialActions::readOdometryTable(), and GT2003MotionNetSpecialActions::specialActionIsExecutableInWalkingCycle().

The documentation for this class was generated from the following file:

- Modules/SpecialActions/GT2003MotionNetSpecialActions/GT2003MotionNetSpecialActions.h